import {
	myRequest
} from '../request.js'
export default {
	goodsList(data) {
		return myRequest({
			url: '/app/common/goods/list',
			method: 'get',
			data: data,
			noToken: true
		})
	},
	
	commonSystemTime() {
		return myRequest({
			url: '/app/common/system/dict/data/sys/time',
			method: 'get',
			noToken: true
		})
	},
	
	
	commonGoodsDetail(data) {
		return myRequest({
			url: '/app/common/goods/'+ data,
			method: 'get',
			noToken: true
		})
	},
	goodsBank(data) {
		return myRequest({
			url: '/goods/bank/list',
			method: 'get',
			data: data,
		})
	},
	goodsBank(data) {
		return myRequest({
			url: '/goods/bank/list',
			method: 'get',
			data: data,
		})
	},
	
	bankExamExamList(data) {
		return myRequest({
			url: '/bank/exam/exam/list',
			method: 'get',
			data: data,
		})
	},
	
	
	goodsDetail(data) {
		return myRequest({
			url: '/goods/'+ data,
			method: 'get'
		})
	},
	goodsCourseList(data) {
		return myRequest({
			url: '/app/common/goods/course/list/'+ data,
			method: 'get',
			noToken: true
		})
	},
	collectQuestion(data) {
		return myRequest({
			url: '/collect/question',
			data:data,
			method: 'POST'
		})
	},
	bankRecordEdit(data) {
		return myRequest({
			url: '/bank/record/edit',
			data:data,
			method: 'POST'
		})
	},
	
	
	
	deleteCollectQuestion(data) {
		return myRequest({
			url: '/collect/question/delete/'+data,
			method: 'POST',
		})
	},
	examRecord(data) {
		return myRequest({
			url: '/exam/record',
			data:data,
			method: 'POST',
		})
	},
	examRecordRightList(data) {
		return myRequest({
			url: '/exam/record/right_list',
			data:data,
			method: 'GET',
		})
	},
	
	examRecordWrongList(data) {
		return myRequest({
			url: '/exam/record/wrong_list',
			data:data,
			method: 'GET',
		})
	},
	
	 
	
	bankRecord(data) {
		return myRequest({
			url: '/bank/record',
			data:data,
			method: 'POST',
		})
	},
	
	
	
	examWrongRecord(data) {
		return myRequest({
			url: '/exam/wwrong/record',
			data:data,
			method: 'POST',
		})
	},
	
	examRecordEdit(data) {
		return myRequest({
			url: '/exam/record/edit',
			data:data,
			method: 'POST',
		})
	},
	
	goodsBankQuestionNum(data) {
		return myRequest({
			url: '/goods/bank/questionNum/'+data,
			data:data,
			method: 'get',
		})
	},
	
	bankExamNextExam(data) {
		return myRequest({
			url: '/bank/exam/nextExam',
			data:data,
			method: 'get',
		})
	},
	
	
	
	examReport(data) {
		return myRequest({
			url: '/exam/record/'+data,
			method: 'get',
		})
	},
	
	examRecordCount(data) {
		return myRequest({
			url: '/exam/record/count',
			data:data,
			method: 'GET',
		})
	},
	
	examaperList(data) {
		return myRequest({
			url: '/exam/paper/list',
			data:data,
			method: 'GET',
		})
	},
	
	examRecordList(data) {
		return myRequest({
			url: '/exam/record/list',
			data:data,
			method: 'GET',
		})
	},
	
	examRecordGroupList(data) {
		return myRequest({
			url: '/exam/record/group_list',
			data:data,
			method: 'GET',
		})
	},
	
	collectQuestionTypeList(data) {
		return myRequest({
			url: '/collect/question/type_list',
			data:data,
			method: 'GET',
		})
	},
	
	wrongRecordTypeQuestionList(data) {
		return myRequest({
			url: '/exam/wwrong/record/type_question_list',
			data:data,
			method: 'GET',
		})
	},
	
	bankRecordDoNum(data) {
		return myRequest({
			url: '/bank/record/doNum',
			data:data,
			method: 'GET',
		})
	},
	
	wrongRecordTypeList(data) {
		return myRequest({
			url: '/exam/wwrong/record/type_list',
			data:data,
			method: 'GET',
		})
	},

	listGoodsUserQuestion(data) {
		return myRequest({
			url: '/bank/question/listGoodsUserQuestion',
			data:data,
			method: 'get'
		})
	},
	getCollectInfo(data) {
		return myRequest({
			url: '/collect/question/getInfo',
			data:data,
			method: 'get'
		})
	},
	
	goodsBankList(data) {
		return myRequest({
			url: '/app/common/bank/list',
			method: 'get',
			data:data,
			noToken: true
		})
	},
	
	wrongRecordList(data) {
		return myRequest({
			url: '/exam/wwrong/record/list',
			method: 'get',
			data:data
		})
	},
	

	goodsChapterList(data) {
		return myRequest({
			url: '/app/common/bank/chapter/list',
			method: 'get',
			data:data,
			noToken: true
		})
	},
	wrongRecordExamQuestionList(data) {
		return myRequest({
			url: '/exam/wwrong/record/exam_question_list',
			method: 'get',
			data:data,
		})
	},
	
	wrongRecordDelete(data) {
		return myRequest({
			url: '/exam/wwrong/record/delete/question',
			method: 'post',
			data:data
		})
	},
	
	examWrongRecordWrongNum(data) {
		return myRequest({
			url:`/exam/wwrong/record/wrongNum/${data}`,
			method: 'get'
		})
	},
	
	collectQuestionExamQuestionList(data) {
		return myRequest({
			url:`/collect/question/exam_question_list`,
			method: 'get',
			data:data
		})
	},
	
	
	
	bankExam(data) {
		return myRequest({
			url: '/bank/exam/'+data,
			method: 'get',
		})
	},
	
	goodsCollectExamList(data) {
		return myRequest({
			url: '/collect/question/exam_list',
			method: 'get',
			data:data
		})
	},
	
	goodsBankDolist(data) {
		return myRequest({
			url: '/goods/bank/dolist',
			method: 'get',
			data:data
		})
	},
	
	goodsChapterDolist(data) {
		return myRequest({
			url: '/goods/chapter/dolist',
			method: 'get',
			data:data
		})
	},
	goodsExamDolist(data) {
		return myRequest({
			url: '/goods/exam/dolist',
			method: 'get',
			data:data
		})
	},
	
	
	
	goodsCollectList(data) {
		return myRequest({
			url: '/collect/question/list',
			method: 'get',
			data:data
		})
	},
	
	goodsExamList(data) {
		return myRequest({
			url: '/app/common/bank/exam/list',
			method: 'get',
			data:data,
			noToken: true
		})
	},
	
	studyRecordMenuAllList(data) {
		return myRequest({
			url: '/study/record/menuAllList',
			method: 'get',
			data:data
		})
	},
	
	
	
	goodsTodayStudySectionNum(data) {
		return myRequest({
			url: '/goods/todayStudySectionNum',
			method: 'get',
			data:data
		})
	},
	
	goodsQuestionList(data) {
		return myRequest({
			url: '/app/common/bank/question/list',
			method: 'get',
			data:data,
			noToken: true
		})
	},
	
	

	addCart(data) {
		return myRequest({
			url: '/base/cart',
			method: 'post',
			data: data
		})
	},
	cartList(data) {
		return myRequest({
			url: '/base/cart/list',
			method: 'get',
			data: data
		})
	},
	
	questionRecordList(data) {
		return myRequest({
			url: '/bank/question/record/list',
			method: 'get',
			data: data
		})
	},
	
	
	deleteCart(data) {
		return myRequest({
			url: '/base/cart/delete/'+data,
			method: 'post',
			data: data
		})
	},
	
	bankQuestionListFreeGoodsList(data) {
		return myRequest({
			url: '/bank/question/listFreeGoodsList',
			method: 'get',
			data: data
		})
	},
	appCommonGoodsCourseModuleFreeExamList(data) {
		return myRequest({
			url: '/app/common/goods/course/moduleFreeExamList/'+data,
			method: 'get',
			noToken:true
			
		})
	},
	
	goodsLivingSectionList(data) {
		return myRequest({
			url: '/goods/livingSectionList',
			method: 'get',
			data:data
		})
	},
	
	
	
	
}
